Bug 91947 - error with rndc
error with rndc
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2003-05-30 04:40 EDT by Ignacio Penas
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-05 14:30:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ignacio Penas 2003-05-30 04:40:50 EDT
Description of problem:
After installing the bind packet and activate the init script
start the service with

  # service named start

everything is OK. Now stop it with

  # service named stop

and the daemon is not stopped.

Version-Release number of selected component (if applicable): bind-9.2.1-16

How reproducible: Always

Steps to Reproduce:
1.kill the named daemon
2.start it with the service command
3.try to stop it through the service command or with "rndc stop"
Actual results: error in /var/log/messages:
May 30 10:03:31 pc3085 named[2288]: app.c:561: unexpected error:
May 30 10:03:31 pc3085 named[2288]: isc_app_shutdown() pthread_kill: No such process

Expected results: named daemon should stop

Additional info:
Comment 1 Daniel Walsh 2003-06-05 14:30:56 EDT
This is a known problem fixed with the first errata kernel.  So please update
the kernel and this problem with go away.



Note You need to log in before you can comment on or make changes to this bug.